Subject: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Jan Djärv <[email-masked]>
Date: Mon, 17 Jun 2013 08:22:54 +0200

Hello. 

17 jun 2013 kl. 03:56 skrev Ken Brown <[email-masked]>:

> 
> Can you tell me exactly how you modified the rule for compile-onefile? I tried but kept getting errors, so I'm obviously not doing it right.

There is something fishy with quoting, Cygwin and gdb so you have to comment out BIG_STACK_OPTS. 

Then I added:

emacsdbg = EMACSLOADPATH=$(lisp) LC_ALL=C gdb -ex 'b abort' -ex run --args $(EMACS) $(EMACSOPT)

and used it:

compile-onefile:
	echo Compiling $(THEFILE)
	@# Use byte-compile-refresh-preloaded to try and work around some of
	@# the most common bootstrapping problems.
	$(emacsdbg) $(BYTE_COMPILE_FLAGS) \
		-l bytecomp -f byte-compile-refresh-preloaded \
		-f batch-byte-compile $(THEFILE)

The modifications where done in the generated Makefile. I guess it will work in Makefile.in also. 

      Jan D.